Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227105 - Review Request: plexus-runtime-builder-1.0-0.a9.2jpp - Plexus Component Descriptor Creator
Summary: Review Request: plexus-runtime-builder-1.0-0.a9.2jpp - Plexus Component Descr...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:53 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-28 01:04:21 UTC
pcheung: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:53:40 UTC
Spec URL: http://people.redhat.com/rafaels/specs/plexus-runtime-builder-1.0-0.a9.2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/plexus-runtime-builder-1.0-0.a9.2jpp.src.rpm
Description: The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

Javadoc for plexus-runtime-builder.

Comment 2 Permaine Cheung 2007-03-02 19:39:35 UTC
I'll take this one.

Comment 3 Permaine Cheung 2007-03-02 22:56:08 UTC
Please fix items marked by X:
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
X license field matches the actual license.
 This is MIT-Style license
* license is open source-compatible.
 - use acronyms for licences where common
* specfile name matches %{name}
* verify source and patches (md5sum matches upstream, know what the patches do)
 - md5sum doesn't match, but diff -r shows no difference
* skim the summary and description for typos, etc.
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
X license text included in package and marked with %doc
no license marked with %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
X rpmlint on <this package>.srpm gives no output
W: plexus-runtime-builder non-standard-group Development/Java - this is OK
W: plexus-runtime-builder mixed-use-of-spaces-and-tabs (spaces: line 9, tab:
line 53) -please fix this
* changelog format is ok
* Packager tag should not be used
* Vendor tag should not be used
* Distribution tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible
 - should have %define _with_gcj_support 1 at the top of the spec file, please
get rid of %define _with_gcj_support 0 and %define gcj_support 0
-  the %define gcj_support .... doesn't seems like it can be split up
  into multiple lines
 
* package successfully compiles and builds on at least x86
* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
X make sure lines are <= 80 characters
There are a couple of lines that are > 80, please fix those if possible.
* specfile written in American English
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
will do these when issues are fixed
* run rpmlint on the binary RPMs
 
SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
* package should build in mock
will try to build after issues are fixed, and BR's are built.


Comment 4 Tania Bento 2007-03-05 16:39:37 UTC
X license field matches the actual license.
 This is MIT-Style license

X license text included in package and marked with %doc
no license marked with %doc

No license text is included, or at least one that I could find.  

X rpmlint on <this package>.srpm gives no output
W: plexus-runtime-builder non-standard-group Development/Java - this is OK
W: plexus-runtime-builder mixed-use-of-spaces-and-tabs (spaces: line 9, tab:
line 53) -please fix this

When I run rpmlint on the source rpm, I don't get the
mixed-used-of-spaces-and-tabs warning.

X specfile is legible
 - should have %define _with_gcj_support 1 at the top of the spec file, please
get rid of %define _with_gcj_support 0 and %define gcj_support 0
-  the %define gcj_support .... doesn't seems like it can be split up
  into multiple lines

I changed this, but I cannot build:
  java-gcj-compat-devel is needed by plexus-runtime-builder-1.0-0.1.a9.2jpp.1.i386

X make sure lines are <= 80 characters
There are a couple of lines that are > 80, please fix those if possible.

Fixed.



Here are the links to the updated source rpm and spec file:

SPEC FILE:
https://tbento.108.redhat.com/files/documents/177/238/plexus-runtime-builder.spec

SOURCE RPM:
https://tbento.108.redhat.com/files/documents/177/239/plexus-runtime-builder-1.0-0.1.a9.2jpp.1.src.rpm


Comment 5 Permaine Cheung 2007-03-07 04:27:16 UTC
Missing BRs:
BuildRequires:        jakarta-commons-codec
BuildRequires:        jakarta-commons-httpclient
BuildRequires:        maven2-plugin-release
BuildRequires:        plexus-xmlrpc
BuildRequires:        xmlrpc
Missing Rs:
Requires:             jakarta-commons-codec
Requires:             jakarta-commons-httpclient
Requires:             plexus-xmlrpc
Requires:             xmlrpc


Comment 7 Permaine Cheung 2007-03-12 14:10:51 UTC
* verify the final provides and requires of the binary RPMs
[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-runtime-builder-
plexus-runtime-builder-1.0-0.1.a9.2jpp.1.fc7.noarch.rpm
plexus-runtime-builder-1.0-0.1.a9.2jpp.1.fc7.src.rpm
plexus-runtime-builder-javadoc-1.0-0.1.a9.2jpp.1.fc7.noarch.rpm
[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-runtime-builder-1.0-0.1.a9.2jpp.1.fc7.noarch.rpm
config(plexus-runtime-builder) = 0:1.0-0.1.a9.2jpp.1.fc7
plexus-runtime-builder = 0:1.0-0.1.a9.2jpp.1.fc7
[pcheung@to-fcjpp1 review]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-runtime-builder-1.0-0.1.a9.2jpp.1.fc7.noarch.rpm
/bin/sh
/bin/sh
config(plexus-runtime-builder) = 0:1.0-0.1.a9.2jpp.1.fc7
jakarta-commons-codec
jakarta-commons-httpclient
jpackage-utils >= 0:1.7.2
jpackage-utils >= 0:1.7.2
maven-wagon
maven2-common-poms >= 1.0
plexus-appserver
plexus-archiver
plexus-container-default
plexus-utils
plexus-velocity
plexus-xmlrpc
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
velocity
xmlrpc
[pcheung@to-fcjpp1 review]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-runtime-builder-1.0-0.1.a9.2jpp.1.fc7.src.rpm
jpackage-utils >= 0:1.7.2
jakarta-commons-codec
jakarta-commons-httpclient
maven2 >= 2.0.4
maven2-plugin-compiler
maven2-plugin-install
maven2-plugin-jar
maven2-plugin-javadoc
maven2-plugin-release
maven2-plugin-resources
maven2-plugin-surefire
maven2-common-poms >= 1.0
maven-wagon
plexus-appserver
plexus-archiver
plexus-container-default
plexus-utils
plexus-velocity
plexus-xmlrpc
velocity
xmlrpc
rpmlib(CompressedFileNames) <= 3.0.4-1
[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-runtime-builder-1.0-0.1.a9.2jpp.1.fc7.src.rpm
(none)[pcheung@to-fcjpp1 review]$ rpm -qp --provides
/var/lib/mock/fedora-develox86_64-core-jpp17-pcheung/result/plexus-runtime-builder-javadoc-1.0-0.1.a9.2jpp.1.fc7.noarch.rpm
plexus-runtime-builder-javadoc = 0:1.0-0.1.a9.2jpp.1.fc7
[pcheung@to-fcjpp1 review]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-runtime-builder-javadoc-1.0-0.1.a9.2jpp.1.fc7.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

* run rpmlint on the binary RPMs built in mock:
[pcheung@to-fcjpp1 review]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-jpp17-pcheung/result/plexus-runtime-builder-*rpm
W: plexus-runtime-builder non-standard-group Development/Java
W: plexus-runtime-builder no-documentation
W: plexus-runtime-builder non-standard-group Development/Java
W: plexus-runtime-builder-javadoc non-standard-group Development/Documentation
E: plexus-runtime-builder-javadoc zero-length
/usr/share/javadoc/plexus-runtime-builder-1.0/package-list

Please fix the error, and while you're fixing that, could you please also 
get rid of the %define gcj_support 0 and %define _with_gcj_support to 1?


Comment 9 Permaine Cheung 2007-03-13 00:30:10 UTC
APPROVED.
Reassigning for buildling into plague.

Comment 10 Deepak Bhole 2007-03-13 04:20:25 UTC
New Package CVS Request
=======================
Package Name: plexus-runtime-builder
Short Description: Plexus Component Descriptor Creator
Owners: dbhole@redhat.com
Branches: devel

Comment 11 Bernard Johnson 2007-04-11 22:47:33 UTC
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e


Note You need to log in before you can comment on or make changes to this bug.